# 32/64bit spec
#
%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	A modern media player based on the GStreamer framework
Summary(de):	Ein moderner Mediaplayer basierend auf GStreamer
Name:		parole
Version:	0.9.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/parole
Source0:	http://archive.xfce.org/src/apps/parole/%{url_ver}/%{name}-%{version}.tar.xz
#------------------------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}taglib-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xfce4ui-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libxfce4util-devel
BuildRequires: xfce4-dev-tools
BuildRequires: xfconf-devel
BuildRequires: gettext-devel
#------------------------------------------------------------
Requires:  	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-libav
Requires:	gnome-icon-theme-symbolic
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
New media player for Xfce desktop environment.

%description -l de
Neuer Mediaplayer für die Xfce Desktop-Umgebung


%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# (tpg) not needed for now
find %{buildroot} -name *.la -type f -exec rm -rf {} \;
rm -rf %{buildroot}%{_includedir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO THANKS
%{_bindir}/%{name}
%{_libdir}/parole-0/*.so
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}/pixmaps/*.png
%{_datadir}/%{name}/parole-plugins-0/*.desktop
%{_datadir}/locale/*
%{_datadir}/appdata/parole.appdata.xml


%changelog
* Sat Jun 03 2017 threepio <threepio> 0.9.1-2uplos2017
- update

* Sat Oct 29 2016 adrianomorselli <adrianomorselli> 0.8.1-2uplos2016
- rebuild

* Sun May 01 2016 bb <bb> 0.8.1-2pclos2016
- add dep gnome-icon-theme-symbolic so icons show in 
- playback pause etc

* Sat Dec 29 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.1-1pclos2015
- 0.8.1

* Sat Mar 14 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.0-2pclos2015
- add missing Requires

* Mon Mar 02 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.0-1pclos2015
- 0.8.0

* Mon Feb 03 2014 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2014
- 0.6.0
- add configure option to use old gstreamer0.10
- uses now gtk3 instead of gtk2

* Thu Dec 26 2013 bb <bb> 0.5.4-3pclos2013
- drop xulrunner-devel

* Thu Dec 26 2013 bb <bb> 0.5.4-2pclos2013
- add BR

* Sun Dec 22 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.4-1pclos2013
- 0.5.4

* Wed Oct 23 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.3-1pclos2013
- 0.5.3
- add BR gettext-devel

* Sat Sep 07 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.2-1pclos2013
- 0.5.2
- removed patch
- added autogen.sh line because off missing build files

* Mon Jun 03 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.1-1pclos2013
- 0.5.1

* Sat May 04 2013 ghostbunny <ghostbunny at gmx dot de> 0.5.0-1pclos2013
- 0.5.0

* Tue Oct 16 2012 Neal <nealbrks0 at gmail dot com> 0.3.0-2pclos2012
- process

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 0.3.0-2pclos2012
- removed misplaced remove of .la/.a files in postun section

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.3.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.3.0-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.3.0-1pclos2012
- 0.3.0
- added german summary and description
- commented patch
- fixed files section
- commented browser plugin package, seems like it isn't built anymore

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.2.0.6-1pclos2012
- update

* Fri Nov 12 2010 Sproggy <desproggster@gmail.com> 0.2.0.2-6pclos2010
- updated for xfce4.8pre1

* Mon Nov 01 2010 Sproggy <desproggster@gmail.com> 0.2.0.2-5pclos2010
- removed obsoletes to allow xfmedia install

* Mon Oct 25 2010 Sproggy <desproggster@gmail.com> 0.2.0.2-3pclos2010
- updated menu entries

* Sun Oct 24 2010 Sproggy <desproggster@gmail.com> 0.2.0.2-1pclos2010
- initial build for PCLOS
